classdef ES
    properties
        chargeEff %Charging Efficiency
        dischargeEff %Discharging Efficiency   
        density  %Energy Density
        lifetime %Percieved lifetime of the unit before a fullreplacement is required

        Cost_Power %capital cost per unit power
        Cost_cap %Capital cost per unit capacity
        Cost_OMFix %Operations and Maintenance Cost per year per unit power
        Cost_OMVar %per MWH used
    end
end

PHS=ES;
PHS.chargeEff = 0.9; %Charging Efficiency
PHS.dischargeEff= 0.8; %Discharging Efficiency   
PHS.density = 1; %Energy Density
PHS.lifetime = 20; %Percieved lifetime of the unit before a fullreplacement is required
PHS.Cost_Power =553100; %capital cost per unit power
PHS.Cost_cap =151420; %Capital cost per unit capacity
PHS.Cost_OMFix = 1046; %Operations and Maintenance Cost per year per unit power
PHS.Cost_OMVar = 0; %per MWH used
