classdef Obj_ESTech
    properties
        name
        
        chargeEff %Charging Efficiency
        dischargeEff %Discharging Efficiency   
        density  %Energy Density
        lifetime %Percieved lifetime of the unit before a fullreplacement is required

        Cost_P %capital cost per unit power
        Cost_cap %Capital cost per unit capacity
        Cost_OMFix %Operations and Maintenance Cost per year per unit power
        Cost_OMVar %per MWH used
        
        %Respective confidence bands (+/- percentage of costs based on how
        %reliable the cost estimates are:
        
        Cost_P_conf %capital cost per unit power
        Cost_cap_conf %Capital cost per unit capacity
        Cost_OMFix_conf %Operations and Maintenance Cost per year per unit power
        Cost_OMVar_conf %per MWH used
    end
end
