function [CS_base,CS_ES_P,CS_ES_E, CS_ES_PE, CS_SFv] = S_ESCapital(S_itSize,S_itMin, S_itMax, ES_tech, BU, para)

iStart = 1; 
iTotal = (S_itMax-S_itMin)/S_itSize+1;%Defines number of iterations to go throuhg in the sensitivity analysis

CS_base = S_Setup(iTotal);
CS_ES_P = S_Setup(iTotal);
CS_ES_E = S_Setup(iTotal);
CS_ES_PE = S_Setup(iTotal);
CS_SFv = zeros(iTotal, 1);
name = ES_tech.name;

Cost_P = ES_tech.Cost_P;
Cost_E = ES_tech.Cost_E;


for i = iStart:iTotal
    imin = i-1
    ES_tech.name = 'None'; %Sets up 'None' as the ES of choice.
    CS_base = S_pullCosts(CS_base,Scn1_MultiOpt(ES_tech, BU, para),i); 
    ES_tech.name = name;
    ES_tech.Cost_E = Cost_E;
    ES_tech.Cost_P = Cost_P + (S_itMin+imin*S_itSize)*Cost_P;
    Cost_P + imin*S_itSize*Cost_P;
    CS_ES_P = S_pullCosts(CS_ES_P,Scn1_MultiOpt(ES_tech, BU, para),i);
    
    ES_tech.Cost_P = Cost_P;
    ES_tech.Cost_E = Cost_E + (S_itMin+imin*S_itSize)*Cost_E;
    CS_ES_E = S_pullCosts(CS_ES_E,Scn1_MultiOpt(ES_tech, BU, para),i);
    
    
    ES_tech.Cost_P = Cost_P + (S_itMin+imin*S_itSize)*Cost_P;
    CS_SFv(i,1)= (S_itMin+imin*S_itSize);
    CS_ES_PE = S_pullCosts(CS_ES_PE,Scn1_MultiOpt(ES_tech, BU, para),i);
    
end