function [CS_basefuel,CS_baseGHG,CS_ES_fuel,CS_ES_GHG, CS_SFv] = S_FuelGHG(S_itSize,S_itMin, S_itMax, ES_tech, BU, para)

iStart = 1; 
iTotal = (S_itMax-S_itMin)/S_itSize+1;%Defines number of iterations to go throuhg in the sensitivity analysis

CS_basefuel = S_Setup(iTotal);
CS_baseGHG = S_Setup(iTotal);
CS_ES_fuel = S_Setup(iTotal);
CS_ES_GHG = S_Setup(iTotal);
CS_SFv = zeros(iTotal, 1);
name = ES_tech.name;

Cost_fuel = BU.Cost_fuel
GHG = para.GHG_Cost;

for i = iStart:iTotal
    imin = i-1

    
    para.GHG_Cost = GHG
    BU.Cost_fuel = Cost_fuel + (S_itMin+imin*S_itSize)*Cost_fuel;
    ES_tech.name = 'None'; %Sets up 'None' as the ES of choice.
    CS_basefuel = S_pullCosts(CS_basefuel,Scn1_MultiOpt(ES_tech, BU, para),i); 
    ES_tech.name = name;
    CS_ES_fuel = S_pullCosts(CS_ES_fuel,Scn1_MultiOpt(ES_tech, BU, para),i);
    
    BU.Cost_fuel = Cost_fuel;
    para.GHG_Cost = GHG + (S_itMin+imin*S_itSize)*GHG;
    ES_tech.name = 'None'; %Sets up 'None' as the ES of choice.
    CS_baseGHG = S_pullCosts(CS_baseGHG,Scn1_MultiOpt(ES_tech, BU, para),i); 
    ES_tech.name = name;
    CS_ES_GHG = S_pullCosts(CS_ES_GHG,Scn1_MultiOpt(ES_tech, BU, para),i);
    
    CS_SFv(i,1)= (S_itMin+imin*S_itSize);

    
end