function [CS_base,CS_ES,CS_SFv] = S_ESCapital(S_itSize,S_itMin, S_itMax, ES_tech, BU, para, S_prop_name)

iStart = 1; 
iTotal = (S_itMax-S_itMin)/S_itSize;%Defines number of iterations to go throuhg in the sensitivity analysis

CS_base = S_Setup(iTotal);
CS_ES = S_Setup(iTotal);
CS_SFv = zeros(iTotal, 1);
name = ES_tech.name;
SF = S_itSize+S_itMin; %Sensitivity Factor: The fuel prices shall increase by 25% each time
orig = ES_tech.(S_prop_name);

for i = iStart:iTotal
    
    ES_tech.(S_prop_name) = orig + i*SF*orig;
    CS_SFv(i,1)= SF*i;
    ES_tech.name = 'None'; %Sets up 'None' as the ES of choice.
    CS_base = S_pullCosts(CS_base,Scn1_MultiOpt(ES_tech, BU, para),i);
    ES_tech.name = name;
    ES_tech = ES_PHS; %Sets up PHS as the ES of choice.
    CS_ES = S_pullCosts(CS_ES,Scn1_MultiOpt(ES_tech, BU, para),i);
    end
end