
Cost_VSC = [500 850 1250 2000; 300 320 500 500; 75 98 121 144; 92 105 150 196];
Cost_Trans= [90 180 240]

plot(Cost_VSC(1,:)',Cost_VSC(:,2:3)');

Cost_AC_coeff = [22	0.284 0.583	6.15;33	0.411 0.596 4.1;45 0.516 0.612 3;66 0.688 0.625 2.05;132 1.971 0.209 1.66;220 3.181 0.11 1.16]
Cost_DC_coeff = [5 -0.346 0.408;40 -0.314 0.0618;160 -0.1 0.0164;230 0.079 0.012;300 0.286 0.00969]

[fitAC_A,gof,output] = fit(Cost_AC_coeff(:,1),Cost_AC_coeff(:,2), 'poly1');
fitAC_B = fit(Cost_AC_coeff(:,1),Cost_AC_coeff(:,3), 'linearinterp');
fitAC_C = fit(Cost_AC_coeff(:,1),Cost_AC_coeff(:,4), 'linearinterp');

fitDC_A = fit(Cost_DC_coeff(:,1),Cost_DC_coeff(:,2), 'poly1');
fitDC_B = fit(Cost_DC_coeff(:,1),Cost_DC_coeff(:,3), 'poly1', 'Robust', 'LAR');

%S=[1:10:300];
%plot1.971+fitAC_B(Trans_Voltage)*exp(fitAC_C(Trans_Voltage)*S_ac*1e6/1e8


%{
figure;
subplot(2,3,1);
plot(fitAC_A,Cost_AC_coeff(:,1),Cost_AC_coeff(:,2));

subplot(2,3,2);
plot(fitAC_A,Cost_AC_coeff(:,1),Cost_AC_coeff(:,2), 'residuals');

subplot(2,3,3);
plot(fitAC_B,Cost_AC_coeff(:,1),Cost_AC_coeff(:,3));
subplot(2,3,4);
plot(fitAC_B,Cost_AC_coeff(:,1),Cost_AC_coeff(:,3), 'residuals');
subplot(2,3,5);
plot(fitAC_C,Cost_AC_coeff(:,1),Cost_AC_coeff(:,4));
subplot(2,3,6);
plot(fitAC_B,Cost_AC_coeff(:,1),Cost_AC_coeff(:,4), 'residuals');

figure;
subplot(1,2,1);
plot(fitDC_A,Cost_DC_coeff(:,1),Cost_DC_coeff(:,2));

subplot(1,2,2);
plot(fitDC_B,Cost_DC_coeff(:,1),Cost_DC_coeff(:,3));
%}

%{

plot(t,Gen_data, 'Linewidth', LW);
Title_str= ['Wind Power Curve'];
hTitle  = title (Title_str);
hXLabel = xlabel('Time (Day)');
hYLabel = ylabel('Production (MW)');
hZLabel = zlabel('ok');
set(gca,'FontName', 'Helvetica' );
set([hTitle, hXLabel, hYLabel, hZLabel], 'FontName','AvantGarde');
filename = 'WindCurve';
%hleg1 = legend('Wind', 'Demand', 'location', 'NorthEast');

hTitle  = title (''); % REmoves graph titles
set(gca,'FontName', 'Calibri Light' );
set([hTitle, hXLabel, hYLabel, hZLabel], 'FontName','Calibri');
set([gca],'FontSize', 18);
set([hXLabel, hYLabel, hZLabel],'FontSize', 18), 'FontWeight', 'bold';
set(hTitle ,'FontSize'   , 14, 'FontWeight' , 'bold');
export_fig(filename,'-eps','-transparent','-painters');

%Plot_Settings(filename, Title_str, hXLabel, hYLabel, hZLabel);

xmin = 0;
xmax = 365;
ymin = 0;
ymax = 150;
axis([xmin xmax ymin ymax])

%}