function Analysis_Comp (Scn_ES1, Scn_ES2, Scn_ES3, filename,err)


data =[Scn_ES1.vector Scn_ES2.vector Scn_ES3.vector]
conf = [Scn_ES1.BU_cap_conf Scn_ES1.BU_OM_conf Scn_ES1.BU_fuel_conf Scn_ES1.BU_GHG_conf Scn_ES1.ES_cap_conf Scn_ES1.ES_OM_conf;Scn_ES2.BU_cap_conf Scn_ES2.BU_OM_conf Scn_ES2.BU_fuel_conf Scn_ES2.BU_GHG_conf Scn_ES2.ES_cap_conf Scn_ES2.ES_OM_conf;Scn_ES3.BU_cap_conf Scn_ES3.BU_OM_conf Scn_ES3.BU_fuel_conf Scn_ES3.BU_GHG_conf Scn_ES3.ES_cap_conf Scn_ES3.ES_OM_conf]';

errY = data.*conf

width2 = 0.9;
data2 = [Scn_ES1.total Scn_ES2.total Scn_ES3.total]
errY2 = sum(errY)
if strcmp(err, 'yes') == 0
    errY = errY*0;
    errY2 = errY2*0;
end
x = [1:3];
figure
barwitherr(errY2', data2', width2, 'FaceColor',[0.9,0.9,0.5]);
precision = 4;
for i1=1:numel(data2)
    text(x(i1),data2(i1),num2str(data2(i1),4),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','top')
end
hold on

barwitherr(errY', data');



hTitle  = title (''); % REmoves graph titles
%set(gca,'XTickLabel',{'Group A','Group B','Group C'})
%legend('Parameter 1','Parameter 2','Parameter 3','Parameter 4')
%ylabel('Y Value')

%hold on;

%hleg1 = legend('Wind', 'Demand', 'location', 'NorthEast');

hTitle  = title (''); % REmoves graph titles
set(gca,'XTickLabel',{Scn_ES1.title,Scn_ES2.title,Scn_ES3.title})
hXLabel = xlabel('Scenarios');
hYLabel = ylabel('Costs (2014 Euros)');
hZLabel = zlabel('ok');
hleg1 = legend('Total','', 'BU Capital', 'BU O&M', 'BU Fuel', 'BU GHG', 'ES Capital', 'ES O&M', 'location', 'NorthEastOutside');
set(gca,'FontName', 'AvantGarde' );
set(gca,'FontSize', 12);
%set([hTitle, hXLabel, hYLabel, hZLabel], 'FontName','AvantGarde');
%set([gca],'FontSize', 18);
set([hXLabel, hYLabel, hZLabel],'FontSize', 18, 'FontWeight', 'bold');
set(hTitle ,'FontSize', 14, 'FontWeight' , 'bold');

%[name, path] = uiputfile({'*.pdf','PDF';'*.eps','Vector based .eps';'*.jpg;*.tif;*.png;*.gif','All Image Files';'*.*','All Files' },'Save Image','C:\Users\F\Dropbox\Energy Storage Thesis\Thesis Report\Latex\Thesis Paper\fig'); 
%export_fig((fullfile(path,name)),'-eps','-transparent','-painters');
path = 'C:\Users\F\Dropbox\Energy Storage Thesis\Thesis Report\Latex\Thesis Paper\fig';
export_fig((fullfile(path,filename)),'-eps','-transparent','-painters');
hold off;


