function Analysis_ESCompPE (Scn_ES1,Scn_ES2, filename)


ES_P=[Scn_ES1.ES_P Scn_ES2.ES_P];
ES_E = [Scn_ES1.ES_E Scn_ES2.ES_E];

figure;
x = [1:2];
subplot(2,1,1);
bar(x,ES_P);
for i1=1:numel(ES_P)
    text(x(i1),ES_P(i1),num2str(ES_P(i1),'%0.2f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end
set(gca,'FontName', 'AvantGarde' );
set(gca,'FontSize', 12);
title(['\fontsize{18}ES Power (MW)']);
set(gca,'XTickLabel',{Scn_ES1.title,Scn_ES2.title})
set(gca,'FontName', 'AvantGarde' );
set(gca,'FontSize', 12);


subplot(2,1,2);
bar(ES_E);
title('\fontsize{18}ES Capacity (MWh)');
set(gca,'FontName', 'AvantGarde' );
set(gca,'FontSize', 12);
set(gca,'XTickLabel',{Scn_ES1.title,Scn_ES2.title})
for i1=1:numel(ES_E)
    text(x(i1),ES_E(i1),num2str(ES_E(i1),'%0.0f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end


path = 'C:\Users\F\Dropbox\Energy Storage Thesis\Thesis Report\Latex\Thesis Paper\fig';
export_fig((fullfile(path,filename)),'-eps','-transparent','-painters');
hold off;


