function Analysis_S_FuelGHG_yy (CS_base_fuel, CS_ES1_fuel, X, filename)

X = abs(X)*100;


P = [CS_base_fuel.ES_P CS_ES1_fuel.ES_P ];
E = [CS_ES1_fuel.ES_E ];


figure;
%h = plotyy(Y,P,'-o', Y, E, '--*');
%h = plotyy(X,P, X, E);

%set( h , { 'LineWidth' } , {3 3 1.5 1.5 3 3 1.5 1.5}' )

[AX,hLine1,hLine2] = plotyy(X,P,X,E, 'plot');



set(AX(1),'FontSize', 12,'FontName', 'AvantGarde');
set(AX(2),'FontSize', 12,'FontName', 'AvantGarde');
%ylabel(AX(1), 'ES Charging Power (MW)'); % left y-axis
AX(1) = ylabel('ES Charging Power (MW)');
ylabel(AX(2),'ES Max Capacity (MWh)'); % right y-axis
set(AX(2),'XTickLabel',[]);
set(AX(2),'XTick',[]);
%set(hLine1,'LineStyle','--');
set(hLine2,'LineStyle','--');

set(gca,'FontName', 'AvantGarde', 'FontWeight', 'normal' );
set(gca,'FontSize', 12);

hTitle  = title (''); % REmoves graph titles
%set(gca,'XTickLabel',{Scn_ES1.title,Scn_ES2.title,Scn_ES3.title})
hXLabel = xlabel('% Cost Increase');
%hYLabel = ylabel('Total Costs (2014 Euros)');
hZLabel = zlabel('ok');
hleg1 = legend('No ES','ES Power','ES Capacity', 'location', 'NorthWest');

%set([hTitle, hXLabel, hYLabel, hZLabel], 'FontName','AvantGarde');
%set([gca],'FontSize', 18);
set([hXLabel, hZLabel],'FontSize', 18, 'FontWeight', 'bold');
set(hTitle ,'FontSize', 14, 'FontWeight' , 'bold');

%[name, path] = uiputfile({'*.pdf','PDF';'*.eps','Vector based .eps';'*.jpg;*.tif;*.png;*.gif','All Image Files';'*.*','All Files' },'Save Image','C:\Users\F\Dropbox\Energy Storage Thesis\Thesis Report\Latex\Thesis Paper\fig'); 
%export_fig((fullfile(path,name)),'-eps','-transparent','-painters');
path = 'C:\Users\F\Dropbox\Energy Storage Thesis\Thesis Report\Latex\Thesis Paper\fig';
export_fig((fullfile(path,filename)),'-eps','-transparent','-painters');
hold off;


