function [SCGT] = BU_None

SCGT=Obj_BU;
SCGT.name = 'None';
SCGT.shortname = 'None';

SCGT.Eff = xlsread('EffCurve.xlsx',1,'A:B'); %Efficiency of the BU
SCGT.Unit_P = 25;
SCGT.Unit_downtime = 1;

SCGT.density = 1; 
SCGT.lifetime = 20;

SCGT.Cost_P =547031; 
SCGT.Cost_unit = SCGT.Cost_P*SCGT.Unit_P;
SCGT.Cost_OMFix = 9973; 
SCGT.Cost_OMVar = 24.31;
SCGT.Cost_fuel = 12.02; %Per MWh fuel burned

SCGT.Cost_P_conf = 0.15; 
SCGT.Cost_OMFix_conf = 0.15;
SCGT.Cost_OMVar_conf = 0.15;
SCGT.Cost_fuel_conf = 0.15;
SCGT.Cost_GHG_conf = 0.15;

SCGT.GHG = 237.6; %kgC02 equiv / MWh Fuel Burned
end
