classdef Obj_BU
    properties
        name
        shortname
        
        Eff %Efficiency 
        Unit_P %power per unit
        Unit_downtime %length of time each unit must remain shutdown before it can be reset
        
        density  %Energy Density
        lifetime %Percieved lifetime of the unit before a fullreplacement is required
      
        Cost_P %capital cost per unit power
        Cost_unit %Captial per unit
        Cost_OMFix %Operations and Maintenance Cost per year per unit power
        Cost_OMVar %per MWH used
        Cost_fuel
        
        %Respective confidence bands (+/- percentage of costs based on how
        %reliable the cost estimates are:
        
        Cost_P_conf %capital cost per unit power
        Cost_OMFix_conf %Operations and Maintenance Cost per year per unit power
        Cost_OMVar_conf %per MWH used
        Cost_fuel_conf
        Cost_GHG_conf
        
        GHG
    end
end
