function Obj_Results_stacked(cost)


figure;
hBar = bar(1:4,[cost]/1000000, 'stacked');

% Adjust the axis limits
%axis([0 13 0 100000]);

% Add a legend
legend('SCGT Capital', 'SCGT O&M', 'Fuel', 'GHG Tax', 'ORES Capital', 'ORES O&M',-1);

%LW = 2;
%plot(t,ES_energy,'LineWidth',LW);
Title_str= ['Cost breakdown'];
hTitle  = title (Title_str);
hXLabel = xlabel('Case ');
hYLabel = ylabel('Cost (Million )');
hZLabel = zlabel('ok');
hTitle  = title (''); % REmoves graph titles
set(gca,'XTickLabel',{'Base Case', 'Optimisation'});
set(gca,'FontName', 'Calibri Light' );
set([hTitle, hXLabel, hYLabel, hZLabel], 'FontName','Calibri');
set([gca],'FontSize', 18);
set([hXLabel, hYLabel, hZLabel],'FontSize', 18, 'FontWeight', 'bold');
set(hTitle ,'FontSize'   , 24, 'FontWeight' , 'bold');
export_fig(filename,'-eps','-transparent','-painters');

filename = 'CostCompRERC';
%Plot_Settings(filename, Title_str, hXLabel, hYLabel, hZLabel);
hold off;

