function [CS_ES, CS_SFv] = S_DR(S_itSize,S_itMin, S_itMax, ES_tech, BU, para, ES)

iStart = 1; 
iTotal = (S_itMax-S_itMin)/S_itSize+1;%Defines number of iterations to go throuhg in the sensitivity analysis

Scn_ES = Obj_Results;
Scn_ES.ES_P = ES(1,1);
Scn_ES.ES_E = ES(1,2);
CS_ES = S_Setup(iTotal);
CS_SFv = zeros(iTotal, 1);

para.DR = S_itMin;

for i = iStart:iTotal
    imin = i-1
    para.DR = S_itMin + imin*S_itSize;
    [Scn_ES.total,Scn_ES.BU_cap,Scn_ES.BU_OM,Scn_ES.BU_fuel,Scn_ES.BU_GHG,Scn_ES.ES_cap,Scn_ES.ES_fuel,Scn_ES.ES_OM, ~, ~,~, Scn_ES.BU_unit] = Scn1_Cost(ES, ES_tech, BU, para);
    
    CS_ES = S_pullCosts(CS_ES,Scn_ES,i);        
    CS_SFv(i,1)= para.DR*100;    
end
