function [Cost,BU_Cost_Cap,BU_Cost_OM_PV,BU_Cost_totalFuel,BU_Cost_GHG, ES_Cost_Cap,ES_Cost_OM_PV, BU_Cost_OMTotal_conf, ES_Cost_Cap_conf, ES_Cost_OMTotal_conf, BU_modNumTot] = Scn1_Cost(ES, ES_tech, BU, para)
global Diff_DATA;
%ES = [150 50];


[Gen_powerExtra, Gen_energyExtra, ES_energy, ES_powerData, ES_energyData] = Scn1_Calc(ES, ES_tech, para);


if sum(Gen_powerExtra(Gen_powerExtra<0))==0       
    ES_chargePower = ES(1);
    ES_energyMax = ES(2);
    [~,BU_EffIndex_Full] = min(abs(BU.Eff(:,1)-1)); % grabs the highest GT efficiency (assuming it charges at 100% load)
    % Something needs to be done about initil charge. Since it is dependant
    % on Fuel price, in can really change things when prices go up.
    ES_Cost_initialCharge = para.ES_initialCharge*ES_energyMax/BU.Eff(BU_EffIndex_Full,2)*BU.Cost_fuel; %
    ES_Cost_P = ES_chargePower*ES_tech.Cost_P;
    ES_Cost_E = ES_energyMax*ES_tech.Cost_E+ES_Cost_initialCharge;
    ES_Cost_Cap = ES_Cost_P + ES_Cost_E;
    ES_Cost_Cap_conf = (ES_Cost_P*ES_tech.Cost_P_conf + ES_Cost_E*ES_tech.Cost_E_conf) / ES_Cost_Cap;
    
    ES_Cost_OMFix = ES_tech.Cost_OMFix*ES_chargePower;
    ES_Cost_OMVar = ES_tech.Cost_OMVar*abs(sum(ES_energyData(ES_energyData<0)))*para.Timestep;
    ES_Cost_OMTotal =  ES_Cost_OMFix + ES_Cost_OMVar;
    ES_Cost_OMTotal_conf = (ES_Cost_OMFix*ES_tech.Cost_OMFix_conf+ES_Cost_OMVar*ES_tech.Cost_OMVar_conf)/ES_Cost_OMTotal;
    [ES_Cost_OM_PV] = PVCalc(para.DR, para.Project_Lifetime, ES_Cost_OMTotal);% NPV over the lifetime at the DR (without profits).
    abs(sum(Gen_powerExtra(Gen_powerExtra<0)))*para.Timestep;
    
    BU_Cost_Cap = BU.Cost_unit;
    BU_Cost_OMFix = BU.Cost_OMFix*BU.Unit_P;
    BU_Cost_OMVar = 0;
    BU_Cost_OMTotal = BU_Cost_OMFix + BU_Cost_OMVar;
    BU_Cost_OMTotal_conf = (BU_Cost_OMFix*BU.Cost_OMFix_conf + BU_Cost_OMVar*BU.Cost_OMVar_conf)/BU_Cost_OMTotal;

    [BU_Cost_OM_PV] = PVCalc(para.DR, para.Project_Lifetime, BU_Cost_OMTotal); % NPV over the lifetime at the DR (without profits).
    BU_Cost_totalFuel = 0;
    BU_Cost_GHG = 0;

    Cost = ES_Cost_Cap+ES_Cost_OM_PV+BU_Cost_Cap+BU_Cost_OM_PV+BU_Cost_totalFuel+BU_Cost_GHG;
else
    
end



