%Allows user to customize the parameters of the Generator, ES and BU.
global BU_modSize BU_modDowntime BU_fueltype BU_lifetime BU_eff BU_LHV BU_GHG_Cost
global BU_Cost_mod BU_Cost_OM_Fix BU_Cost_OM_Var BU_Cost_Fuel
global Trans_cableR Trans_cabletype Trans_distance Cable_File 

%GHG_Cost = 0.5053;

%ES_type = 'PHS'; %Can choose between 'PHS' and 'CAES'

%{
if strcmp(ES_type, 'PHS') == 1
    ES_chargeEff = 0.9; %Charging Efficiency
    ES_dischargeEff= 0.8; %Discharging Efficiency   
    ES_density = 1; %Energy Density
    ES_lifetime = 20; %Percieved lifetime of the unit before a fullreplacement is required

    ES_Cost_chargePower =553100; %capital cost per unit power
    ES_Cost_chargePower
    ES_Cost_capacity =151420; %Capital cost per unit capacity
    ES_Cost_OM_Fix = 1046; %Operations and Maintenance Cost per year per unit power
    ES_Cost_OM_Var = 0; %per MWH used
    
elseif strcmp(ES_type, 'CAES') == 1
    ES_chargeEff = 0.78; %Charging Efficiency
    ES_dischargeEff= 0.78; %Discharging Efficiency
    ES_density = 1; %Energy Density
    ES_lifetime = 20; %Percieved lifetime of the unit before a fullreplacement is required

    ES_Cost_chargePower =547700; %capital cost per unit power
    ES_Cost_capacity =2236; %Capital cost per unit capacity
    ES_Cost_OM_Fix = 3780; %Operations and Maintenance Cost per year per unit power
    ES_Cost_OM_Var = 2.85; %per MWH used
end
%}


%{
%Back-up Generator
BU_modSize = 25; %Size of each backup generator module
BU_modDowntime = 1; %How long (hours) the modules need to run before they can be shutdown to save on O&M Costs
BU_fueltype = 'NG';
BU_lifetime = 20;

BU_eff = xlsread('EffCurve.xlsx',1,'A:B'); %Efficiency of the BU
Cable_File = xlsread('CableFile.xlsx',1);

BU_Cost_MW = 547031; %Cost per MW
BU_Cost_mod = BU_Cost_MW*BU_modSize; %capital cost per module
BU_Cost_OM_Fix = 9973; %Operations and Maintenance Cost per year per module
BU_Cost_OM_Var = 24.31; %Operations and Maintenance Cost per year per MWH
%Fuel Types
%NG
if strcmp(BU_fueltype, 'NG') == 1
    BU_LHV = 43; %J/m3 of NG
    BU_GHG = 237.6; %kgC02 equiv / MWh Fuel Burned
    BU_Cost_Fuel = 12.02; % Cost per MWh Fuel Burned
   %BU_Cost_Fuel = 120.02;
end
BU_GHG_Cost = BU_GHG*GHG_Cost; % Cost / MWh fuel burned
%}
Trans_distance = 100;
Trans_cabletype= 'copper';

if strcmp(Trans_cabletype, 'copper')
    Trans_cableR = 0.01678;
end
%{
LW=2;
plot(BU_eff(:,1)*100,BU_eff(:,2)*100,'LineWidth',LW);
Title_str= ['Load-Efficiency Curve'];
hTitle  = title (Title_str);
hXLabel = xlabel('% Total Load');
hYLabel = ylabel('% Efficiency');
hZLabel = zlabel('ok');

hTitle  = title (''); % REmoves graph titles
set(gca,'FontName', 'Calibri Light' );
set([hTitle, hXLabel, hYLabel, hZLabel], 'FontName','Calibri');
set([gca],'FontSize', 18);
set([hXLabel, hYLabel, hZLabel],'FontSize', 18, 'FontWeight', 'bold');
set(hTitle ,'FontSize'   , 14, 'FontWeight' , 'bold');
export_fig(filename,'-eps','-transparent','-painters');
filename = 'GTEffLoad';
%hleg1 = legend('Wind', 'Demand', 'location', 'NorthEast');
%Plot_Settings(filename, Title_str, hXLabel, hYLabel, hZLabel);
hold off;

%}
%hold off;
    

